Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.modeshape.jcr.xpath
Class XPath.Comparison

    java.lang.Object
      org.modeshape.jcr.xpath.XPath.Component
          org.modeshape.jcr.xpath.XPath.BinaryComponent
              org.modeshape.jcr.xpath.XPath.Comparison

Enclosing class:
  XPath

    public static class XPath.Comparison

extends XPath.BinaryComponent

Constructor Summary
`XPath.Comparison(XPath.Component left, Operator operator, XPath.Component right)`

Method Summary
`XPath.Component` | `collapse()` Return the collapsable form
`boolean` | `equals(Object obj)`
`Operator` | `getOperator()`
`String` | `toString()`

Methods inherited from class org.modeshape.jcr.xpath.XPath.BinaryComponent
`getLeft, getRight`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### XPath.Comparison

    public XPath.Comparison(XPath.Component left,
                            Operator operator,
                            XPath.Component right)

Method Detail

### getOperator

    public Operator getOperator()

  Returns:
    operator

### collapse

    public XPath.Component collapse()

  Return the collapsable form

  Overrides:
    `collapse` in class `XPath.Component`
  Returns:
    the collapsed form of th is component; never null and possibly the same as this
  See Also:
    `XPath.Component.collapse()`

### toString

    public String toString()

  Overrides:
    `toString` in class `Object`
  See Also:
    `Object.toString()`

### equals

    public boolean equals(Object obj)

  Overrides:
    `equals` in class `Object`
  See Also:
    `Object.equals(java.lang.Object)`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2008-2011 JBoss, a division of Red Hat. All Rights Reserved.